Skip to main content

List project stages

GET 

/api/project-stages

List project stages

Request

Query Parameters

    order string

    Possible values: [hierarchy, name]

    Order the results by one or more attributes, separated by commas.

    Prefix an attribute with - for descending order or + for ascending order.

    If no prefix is provided, the default order is ascending.

    search string

    Search for entities by a specific string.

    limit integer

    Possible values: >= 1 and <= 100

    Default value: 100

    The number of items to include in the response.

    offset integer

    Default value: 0

    The offset of the first returned item.

    updated_at date-time

    Filter items by the updated_at field.

    Operators:

    Usage: eq:{value}

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Responses

Returns the list of project stages set for the company.

Schema

  • Array [

  • id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    name stringrequired

    Possible values: <= 150 characters

    The project stage name

    description string

    Possible values: <= 150 characters

    The project stage description

    hierarchy integerrequired

    The project stage ordering value

  • ]

Loading...